Bug 251357 - textproc/utf8proc: Update to 2.6.1
Summary: textproc/utf8proc: Update to 2.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://github.com/JuliaStrings/utf8p...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-11-24 23:00 UTC by daniel.engberg.lists
Modified: 2021-01-01 16:18 UTC (History)
1 user (show)

See Also:
pi: maintainer-feedback-


Attachments
Patch for utf8proc (1.67 KB, patch)
2020-11-24 23:00 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for utf8proc v2 (1.67 KB, patch)
2020-12-16 08:57 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for utf8proc v2 without tests (1.47 KB, patch)
2020-12-16 09:21 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-11-24 23:00:30 UTC
Created attachment 219944 [details]
Patch for utf8proc

Update utf8proc to 2.6.0
Adjust test dependencies

Compile tested on FreeBSD 13.0-CURRENT #0 r367711 (make + make test) (amd64)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 1 Automation User 2020-12-09 03:38:33 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/227061522
Comment 2 daniel.engberg.lists 2020-12-09 13:41:15 UTC
Friendly ping
Comment 3 daniel.engberg.lists 2020-12-16 08:57:53 UTC
Created attachment 220612 [details]
Patch for utf8proc v2

Update to 2.6.1
Comment 4 daniel.engberg.lists 2020-12-16 09:21:02 UTC
Created attachment 220613 [details]
Patch for utf8proc v2 without tests

Same as above but without "make test" target, it's no longer self contained (downloads external files).
Comment 5 Kurt Jaeger freebsd_committer 2021-01-01 16:18:40 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2021-01-01 16:18:59 UTC
A commit references this bug:

Author: pi
Date: Fri Jan  1 16:18:23 UTC 2021
New revision: 559844
URL: https://svnweb.freebsd.org/changeset/ports/559844

Log:
  textproc/utf8proc: update 2.5.0 -> 2.6.1

  PR:		251357
  Submitted by:	daniel.engberg.lists@pyret.net
  Relnotes:	https://github.com/JuliaStrings/utf8proc/releases/tag/v2.6.1
  Approved:	hrs (maintainer timeout)

Changes:
  head/textproc/utf8proc/Makefile
  head/textproc/utf8proc/distinfo